[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# dbgs

Creates a formatted debugger message for one or more TOpenOption values.

## Declaration

Source position: dialogs.pp line 1043

`function dbgs(`
`Option: TOpenOption`
`):string; overload; function dbgs(`
`Options: TOpenOptions`
`):string; overload; function DbgS(`
`aFlag: TTaskDialogFlag`
`):string; overload; function DbgS(`
`Flags: Dialogs.TTaskDialogFlags`
`):string; overload;`

## Arguments

`Option` |  | TOpenOption enumeration value used to generate the formatted message.

## Function result

Formatted message with enumeration value name(s) for the option or options argument.

## Arguments

`Options` |  | TOpenOptions set type with the options used to generate the formatted message.

## Arguments

`aFlag` |  | TTaskDIalogFlag value converted to a string in the formatted message.

## Arguments

`Flags` |  | TTaskDialogFlags value converted to a string in the formatted message.

## Version info

Modified in LCL version 4.0 to add additional overloads using TTaskDialogFlag and TTaskDialogFlags arguments.